Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Content

Update Content
PATCH /contentmodules/{moduleId}/content/{contentId}
https://api.relesysapp.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}
Update a content post with contentId in a module with moduleId.
Accepts a JsonPatch request in the body and replaces provided fields.

The following fields are allowed to be updated:
categoryId, locales, mediaIds, permissions, and notifications

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"3472e013-fc7e-4fec-b700-329f8a8756cd","path":"/categoryId","op":"replace"},{"value":[{"culture":"da-DK","title":"Title","bodyText":"Body text"}],"path":"/locales","op":"replace"},{"value":["fd473180-efd8-4798-828e-b5122449a8f3"],"path":"/mediaIds","op":"replace"},{"value":[{"userGroups":[],"departments":[],"requireAllUserGroups":false}],"path":"/permissions","op":"replace"},{"value":{"sendNotification":false,"sendPushNotification":false,"forceInstantPush":false},"path":"/notifications","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"6b0a8834-9e6d-468e-8244-dd3af9998060","url":null,"userId":"262c2978-c3ad-4842-9ae2-03fa96d8b0d5","userUrl":null,"categoryId":"177a9698-2417-414f-bc72-97979760b89c","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-10-30T09:40:55.9651324+00:00","lastModifiedDateTime":"2026-10-31T05:40:55.9651324+00:00","availableFrom":"2026-10-31T09:40:55","startDateTimeZone":null,"availableUntil":"2026-11-01T09:40:55","endDateTimeZone":null,"medias":[{"id":"3aa697ca-ec35-463e-a799-392dad77568c","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"45bd5ec7-2730-4db9-bc95-005e6227c6be","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"b9a05127-2ebf-4d9f-8ab2-8cc844c0eab5","url":null},{"type":"Department","name":"Department name example","id":"85e7b238-ae93-45f1-a59a-abc0304b40b7","url":null},{"type":"User group","name":"User group name example","id":"9a8b3ba4-d2c4-4ba0-a3e4-c97df43e0166","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"f366d51e-b6af-4837-86b9-60dfecc6da65"}],"userGroups":[{"url":null,"name":"User group name example","id":"2dade92f-ab48-4098-bf98-1dfc51bd4d75"}],"requireAllUserGroups":false}]}}
object
  ⯈ data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    bodyText string      
    culture string      
    title string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   ⯈ permissions array[object]      
    ⯈ departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    ⯈ userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string